* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
  --primary-color: #323238;
  --body-background: #ffffff;
  --text-color: var(--primary-color);
  --cart-color: #e1e1e6;
  --cart-sound-color: #02799d;
  --svg-color: var(--primary-color);
  --svg-selected: invert(78%) sepia(15%) saturate(90%) hue-rotate(201deg)
    brightness(118%) contrast(83%);
  --slider-background: var(--primary-color);
  --selected-sound: #ffffff;
  font-size: 62.5%;
}
.dark-mode:root {
  --body-background: #121214;
  --text-color: #e2e0e9;
  --cart-color: #29292e;
  --cart-sound-color: #0a3442;
  --svg-color: #c4c4cc;
  --svg-colo: invert(78%) sepia(15%) saturate(90%) hue-rotate(201deg)
    brightness(118%) contrast(83%);
  --slider-background: #ffffff;
  --white: hsla(0, 0%, 100%, 0.8);
}
.selected {
  --svg-colo: invert(98%) sepia(15%) saturate(90%) hue-rotate(201deg)
    brightness(118%) contrast(83%);
  --cart-color: var(--cart-sound-color);
  --slider-background: #ffffff;
}
body {
  color: var(--text-color);
  background-color: var(--body-background);
  font-family: "Roboto", sans-serif;
  display: grid;
  min-height: 100vh;
}
body img {
  filter: var(--svg-colo);
}
.hide {
  display: none;
}
header {
  justify-self: right;
}
header button {
  margin-right: 6rem;
  margin-top: 6rem;
  width: clamp(20px, 20px + 30px, 44px);
}
main {
  align-self: center;
  justify-self: center;
  margin-top: -25.4rem;
  width: 82.1rem;
}
.section-timer-controls {
  margin-right: 17.2rem;
  margin-bottom: 9rem;
}
.section-timer-controls #timer {
  font-size: clamp(8rem, 8rem + 15vw, 12.6rem);
  line-height: 14.8rem;
  margin-bottom: 2.8rem;
  display: flex;
}
.section-timer-controls #controls {
  display: flex;
  gap: 4rem;
}
button {
  background-color: transparent;
  border: none;
  cursor: pointer;
}
.section-cards {
  width: 30.8rem;
  height: 33.6rem;
  display: flex;
  justify-items: self-end;
}
.inline {
  display: inline-block;
}
.section-cards .cardGrid {
  display: inline-block;
  width: clamp(8rem, 8rem + 10vw, 13.8rem);
  height: clamp(8rem, 8rem + 10vw, 15.2rem);
  margin-left: 1rem;
  width: 13.8rem;
  height: 15.2rem;
}
.section-cards .cardGrid .card {
  width: clamp(8rem, 8rem + 10vw, 13.8rem);
  height: clamp(8rem, 8rem + 10vw, 15.2rem);
  border-radius: 2.4rem;
  background-color: var(--cart-color);
  margin-bottom: 4.5rem;
  display: inline-block;
}
.section-cards .cardGrid .card img {
  width: clamp(2rem, 2rem + 10vw, 5.3rem);
  height: 5.6rem;
  margin-bottom: 3.2rem;
}
.section-cards .cardGrid .inputRange {
  margin-top: -8rem;
  margin-left: 3rem;
}
.section-cards .cardGrid .inputRange .slider {
  width: 9rem;
  z-index: 1;
  -webkit-appearance: none;
  height: 4px;
  border-radius: 5px;
  background: var(--slider-background);
  outline: none;
  opacity: 0.7;
  -webkit-transition: 0.2s;
  transition: opacity 0.2s;
}
.section-cards .cardGrid .inputRange .slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background: var(--slider-background);
  cursor: pointer;
}
.section-cards .forestCard {
  margin-left: 0rem;
}
.section-cards .rainCard {
  margin-left: 2.9rem;
}
.section-cards .cofeeCard {
  margin-top: 3.2rem;
  margin-left: 0rem;
}
.section-cards .fireCard {
  margin-left: 2.9rem;
}
@media (max-width: 820px) {
  main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0;
    padding: 5rem;
  }
  .section-timer-controls {
    margin: 0;
    padding: 0;
    justify-content: center;
    align-items: center;
    width: 45%;
  }
  .section-cards {
    margin-top: 2rem;
  }
}
@media (max-width: 750px) {
  header {
    justify-self: left;
    margin-top: -3rem;
  }
  .inputRange {
    margin-top: -8rem;
    margin-left: 2rem;
  }
  .section-cards .cardGrid {
    margin-left: 1.4rem;
  }
}
